#!/bin/bash

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

# -------------------------------------------------------------------------- #
# Copyright (C) 2011 Politecnico di Torino, Italy                            #
#                    TORSEC group -- http://security.polito.it               #
#                                                                            #
# Author: Roberto Sassu <roberto.sassu@polito.it>                            #
#                                                                            #
# This program is free software; you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by       #
# the Free Software Foundation, version 2 of the License.                    #
#--------------------------------------------------------------------------- #


SRC=$1
DST=$2

if [ -z "${ONE_LOCATION}" ]; then
    TMCOMMON=/usr/lib/one/mads/tm_common.sh
    TM_COMMANDS_LOCATION=/usr/lib/one/tm_commands/ 
else
    TMCOMMON=$ONE_LOCATION/lib/mads/tm_common.sh
    TM_COMMANDS_LOCATION=$ONE_LOCATION/lib/tm_commands/
fi

. $TMCOMMON

log "SRC: $SRC"
log "DST: $DST"

if [ "$DST_HOST" != "$HOSTNAME" ]; then
	CMD="lvscan"
	$SSH $DST_HOST $SUDO $CMD
	log "Executed \"$CMD\"."
	CMD="lvchange --refresh $VG_NAME"
	$SSH $DST_HOST $SUDO $CMD
        log "Executed \"$CMD\"."
fi
